<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: constants.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00005_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">constants.h</div></div>
</div><!--header-->
<div class="contents">
<a href="a00005.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef CONSTANTS_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define CONSTANTS_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &quot;<a class="code" href="a00008.html">types.h</a>&quot;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="a00005.html#a3f62bc9dfe4ed891d6dacc9fe691e960">    9</a></span><span class="keyword">const</span> <a class="code hl_typedef" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> <a class="code hl_variable" href="a00005.html#a3f62bc9dfe4ed891d6dacc9fe691e960">EVENT_SCOPE_SIZE</a> = 8192;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="a00005.html#aa0375ed7c3e9d7ce47ef30a4d56e7063">   14</a></span><span class="keyword">const</span> <a class="code hl_typedef" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> <a class="code hl_variable" href="a00005.html#aa0375ed7c3e9d7ce47ef30a4d56e7063">ALL_PARAMETERS_SIZE</a> = 1024;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="a00005.html#a0ce240c1d15e9df1783c0638bc0bf417">   19</a></span><span class="keyword">const</span> <a class="code hl_typedef" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> <a class="code hl_variable" href="a00005.html#a0ce240c1d15e9df1783c0638bc0bf417">FIRMWARE_SECTION_SIZE</a> = 1024;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#endif </span><span class="comment">// CONSTANTS_H</span></div>
<div class="ttc" id="aa00005_html_a0ce240c1d15e9df1783c0638bc0bf417"><div class="ttname"><a href="a00005.html#a0ce240c1d15e9df1783c0638bc0bf417">FIRMWARE_SECTION_SIZE</a></div><div class="ttdeci">const UInt16Type FIRMWARE_SECTION_SIZE</div><div class="ttdoc">The size of a firmware section, typically used by the function writeFirmwareSection().</div><div class="ttdef"><b>Definition</b> constants.h:19</div></div>
<div class="ttc" id="aa00005_html_a3f62bc9dfe4ed891d6dacc9fe691e960"><div class="ttname"><a href="a00005.html#a3f62bc9dfe4ed891d6dacc9fe691e960">EVENT_SCOPE_SIZE</a></div><div class="ttdeci">const UInt16Type EVENT_SCOPE_SIZE</div><div class="ttdoc">The default size of an event scope in bytes, typically retrieved using the function getEventScope().</div><div class="ttdef"><b>Definition</b> constants.h:9</div></div>
<div class="ttc" id="aa00005_html_aa0375ed7c3e9d7ce47ef30a4d56e7063"><div class="ttname"><a href="a00005.html#aa0375ed7c3e9d7ce47ef30a4d56e7063">ALL_PARAMETERS_SIZE</a></div><div class="ttdeci">const UInt16Type ALL_PARAMETERS_SIZE</div><div class="ttdoc">The default size of an &quot;all parameters&quot;-array in bytes, typically retrieved using the function getAll...</div><div class="ttdef"><b>Definition</b> constants.h:14</div></div>
<div class="ttc" id="aa00008_html"><div class="ttname"><a href="a00008.html">types.h</a></div></div>
<div class="ttc" id="aa00008_html_a7387aac0178fcc6d6cb70a2625a63bc0"><div class="ttname"><a href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a></div><div class="ttdeci">unsigned short UInt16Type</div><div class="ttdoc">UInt16Type for a range between 0 and 65535.</div><div class="ttdef"><b>Definition</b> types.h:12</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fe06972e53893249adce5a50c45e9385.html">impl</a></li><li class="navelem"><a class="el" href="dir_be24af3b036aa4b3bfccb0b5b265ec43.html">VicoLib</a></li><li class="navelem"><a class="el" href="dir_17da06094344a942cf65018f35dcca64.html">impl</a></li><li class="navelem"><a class="el" href="a00005.html">constants.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
